ARG version=latest
FROM rasa/rasa:${version}-full

WORKDIR /app

USER root

#https://github.com/tensorflow/tensorflow/issues/19584
#https://github.com/yaroslavvb/tensorflow-community-wheels/issues/180
#RUN pip install --no-cache-dir --ignore-installed --upgrade https://tf.novaal.de/westmere/tensorflow-2.3.2-cp38-cp38-linux_x86_64.whl

# Requirement for custom components
# COPY nlu-requirements.txt /app/
# RUN apt update && apt install -y --no-install-recommends jq gcc g++ make python3-dev && \
#    pip install -U --no-cache-dir -r /app/nlu-requirements.txt && \
#    apt remove -y gcc g++ make python3-dev && \
#    apt autoremove -y && \
#    rm -rf /var/lib/apt/lists/*

# Requirement for custom components
COPY requirements.txt /app/requirements.txt
RUN pip install -U --no-cache-dir -r /app/requirements.txt

COPY rasa_addons /app/rasa_addons

# RUN mkdir -p /.flair /.cache
# RUN chgrp -R 0 /.flair /.cache && chmod -R g=u /.flair /.cache

USER 1001

#ENTRYPOINT ["/app/start_rasa.sh"]
